Skip to main content
`Ctrl`+`K`

# KSPGuessGetType

Gets the `KSPGuessType` as a string from the `KSPGuess` object.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGuessGetType(KSPGuess guess, KSPGuessType *type)

Not Collective

## Input Parameter

- guess - the initial guess context

## Output Parameter

- type - type of `KSPGuess` method

## See Also

KSP: Linear System Solvers, `KSPGuess`, `KSPGuessSetType()`

## Level

developer

## Location

src/ksp/ksp/interface/iguess.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages